## mod-authnz-persona 0.8.1

=== Makefile ===
ifeq ($(APXS_PATH),)
APXS_PATH=/usr/sbin/apxs
endif

MY_LDFLAGS=-lcurl -lyajl
# Note that gcc flags are passed through apxs, so preface with -Wc
MY_CFLAGS=-Wc,-I. -Wc,-Wall -Wc,-g -Wc,-Wno-unused-function
SRCS=src/mod_authnz_persona.c src/cookie.c src/verify.c src/hmac.c
HDRS=src/cookie.h src/defines.h src/verify.h src/hmac.h
BUILDDIR := build

.SUFFIXES: .c .o .la

all:  build/.libs/mod_authnz_persona.so

.PHONY: builddir
builddir: build

$(BUILDDIR):
	@mkdir -p $@

$(BUILDDIR)/bin2c: tools/bin2c.c | $(BUILDDIR)
	@gcc -Wall -g -o $(BUILDDIR)/bin2c $<

$(BUILDDIR)/signin_page.h: src/signin.html $(BUILDDIR)/bin2c | $(BUILDDIR) 
	@$(BUILDDIR)/bin2c $^ > $@

$(BUILDDIR)/error.html: src/error.html src/signin.html
	@cp src/signin.html $@
	@cat src/error.html >> $@

$(BUILDDIR)/error_page.h: $(BUILDDIR)/error.html $(BUILDDIR)/bin2c | $(BUILDDIR)
	@$(BUILDDIR)/bin2c $^ > $@

$(BUILDDIR)/.libs/mod_authnz_persona.so: $(SRCS) $(HDRS) $(BUILDDIR)/signin_page.h $(BUILDDIR)/error_page.h
	@cd $(BUILDDIR) && for file in $(SRCS) $(HDRS) ; do ln -sf ../$$file . ; done
	@cd $(BUILDDIR) && $(APXS_PATH) $(MY_LDFLAGS) $(MY_CFLAGS) -c $(subst src/,,$(SRCS))

install: all
	$(APXS_PATH) -i $(BUILDDIR)/mod_authnz_persona.la

clean:
	-rm -rf $(BUILDDIR)

=== debian/changelog ===
mod-authnz-persona (0.8.1-1) unstable; urgency=medium

  * Initial release. (Closes: #742851)

 -- Robie Basak <robie@justgohome.co.uk>  Sat, 08 Feb 2014 15:31:46 +0000

=== debian/control ===
Source: mod-authnz-persona
Section: web
Priority: optional
Maintainer: Robie Basak <robie@justgohome.co.uk>
Build-Depends: debhelper (>= 9), apache2-dev, dh-apache2, libcurl4-gnutls-dev, libyajl-dev
Standards-Version: 3.9.5
Homepage: https://github.com/mozilla/mod_authnz_persona

Package: libapache2-mod-authnz-persona
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Apache module implementing Persona authentication
 Mozilla Persona allows users to sign in to sites using any of their
 existing email addresses. It is built on the BrowserID protocol, a
 decentralized authentication technology based on verified email
 addresses.
 .
 This module provides Persona authentication for Apache.

=== debian/rules ===
#!/usr/bin/make -f

# Override upstream Makefile's default of /usr/sbin/apxs; on Debian and
# Ubuntu, apxs is in /usr/bin and available through PATH like any other
# build tool.
export APXS_PATH = apxs

%:
	dh $@ --with apache2

override_dh_auto_install:
	# Do not install; dh_apache2 will pick up the module and install
	# it itself.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mod_authnz_persona-$1\.tar\.gz/ \
  https://github.com/mozilla/mod_authnz_persona/tags .*/v?(\d\S*)\.tar\.gz
